%define release 1%{?dist}

Summary: Red Hat Storage Appliance
Name: appliance
Version: 1.7
Release: %{release}
License: GPLv3+
Packager: support@gluster.com
Group: Applications/System
URL: http://www.redhat.com
Vendor: Red Hat Inc
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service

%description
Red Hat Storage appliance tools.

%package base
Summary: Red Hat Storage appliance
Group: Applications/System

%description base
Red Hat Storage appliance

%prep
%setup -q

%build

./configure --program-prefix=  --prefix=/ --datadir=/usr/local/share --localstatedir=/var --mandir=/usr/share/man --infodir=/usr/share/info
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}

%files base
%defattr(-,root,root,-)
/etc/init.d/gluster-system-settings
/etc/profile.d/gluster-env.sh
/etc/tune-profiles/rhs-high-throughput/ktune.sh
/etc/tune-profiles/rhs-high-throughput/ktune.sysconfig
/etc/tune-profiles/rhs-high-throughput/sysctl.ktune
/etc/tune-profiles/rhs-high-throughput/tuned.conf


%post base
#cat /usr/local/etc/screenrc.gluster > /etc/screenrc
#cat /usr/local/etc/motd.gluster > /etc/motd
chkconfig gluster-system-settings on


%package ami
Summary: Gluster AMI
Group: Applications/System

%description ami
Tools for Gluster AMI

%files ami
%defattr(-,root,root,-)
/bin/gluster-provision-storage
/bin/gluster-check-firewall
/bin/gluster-ami-bootstrap
/bin/gluster-ami-tagmyself
/bin/gluster-ami-metastrap
/bin/gluster-ami-attach-ebs
/bin/gluster-ebs-release
/bin/gluster-ebs-scavenge
/bin/gluster-ami-newinstance
/bin/gluster-ami-connect
/bin/gluster-ami-list
/bin/gluster-ami-perftest
/etc/ec2.rc
/etc/init.d/gluster-permit-rootlogin
/etc/init.d/gluster-exec-user-data
/etc/profile.d/gluster-ami.sh


%post ami
chkconfig gluster-permit-rootlogin on
chkconfig gluster-exec-user-data on
sed -i 's/^PermitRootLogin forced-commands-only/#PermitRootLogin forced-commands-only/g' /etc/ssh/sshd_config
sed -i 's/\(.*StrictHostKeyChecking.*\)/#\1/g' /etc/ssh/ssh_config
sed -i 's/^PasswordAuthentication yes/PasswordAuthentication no/g' /etc/ssh/sshd_config
echo 'StrictHostKeyChecking no' >> /etc/ssh/ssh_config
service sshd restart


%changelog
* Tue Apr 24 2012 Anthony Towns <atowns@redhat.com> - 1.7-1
- Update for Red Hat Storage 2.0
- Include tuned profile

* Tue Nov 15 2011 Dennis Gregorovic <dgregor@redhat.com> - 1.6-2
- Rebuild for Red Hat Storage Software Appliance 3.2

* Tue Jan 11 2011  <harsha@gluster.com> - ami-tools
- Initial build.

